project-navigation
Personal tools

Author Topic: libraries: libcurl.so.4  (Read 24224 times)

Offline luke83

  • Cannon Fodder
  • **
  • Posts: 9
    • View Profile
libraries: libcurl.so.4
« on: September 12, 2009, 11:26:57 pm »
Hi guys i have been trying to get this game going thru ubuntu 64bt and i keep getting this error :  error while loading shared libraries: libcurl.so.4: cannot open shared object file: No such file or directory
luke@luke-desktop:~$ '/home/luke/ufoai/ufo'

 I have been trying to find a answer  and have tryed all everything listed on this page : http://ufoai.ninex.info/wiki/index.php/Debian

I have been playing the original xcom series since i was a boy and i would love to get this baby running to see how it compares.

 Thanks

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2532
    • View Profile
Re: libraries: libcurl.so.4
« Reply #1 on: September 12, 2009, 11:31:35 pm »
Hi guys i have been trying to get this game going thru ubuntu 64bt and i keep getting this error :  error while loading shared libraries: libcurl.so.4: cannot open shared object file: No such file or directory
luke@luke-desktop:~$ '/home/luke/ufoai/ufo'

 I have been trying to find a answer  and have tryed all everything listed on this page : http://ufoai.ninex.info/wiki/index.php/Debian

I have been playing the original xcom series since i was a boy and i would love to get this baby running to see how it compares.

 Thanks

Do you have curl installed?

Try:
Code: [Select]
sudo apt-get install libcurl4-openssl-dev

-geever

Offline luke83

  • Cannon Fodder
  • **
  • Posts: 9
    • View Profile
Re: libraries: libcurl.so.4
« Reply #2 on: September 13, 2009, 08:41:59 am »
Thanks but i just installed them and i still get the same error

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2532
    • View Profile
Re: libraries: libcurl.so.4
« Reply #3 on: September 13, 2009, 09:08:30 am »
Thanks but i just installed them and i still get the same error

Maybe the filename is different. Look for it by running:
Code: [Select]
locate libcurl.so

Maybe you don't have /usr/lib/libcurl.so.4 but /usr/lib/libcurl.so.4.0.1 or so (with more detailed version). If that's the case you can make a symbolic link on it by running
Code: [Select]
sudo ln -s /usr/lib/libcurl.so.4.0.1 /usr/lib/libcurl.so.4
(change the version to your's)

I hope this help. ;)

-geever